import { defineComponent as l, openBlock as o, createElementBlock as r, Fragment as s, createVNode as e, unref as t, withCtx as c, createElementVNode as n } from "vue";
import { Card as m, Skeleton as i } from "@aplus-frontend/antdv";
import { ApSkeletonLine as d } from "../line/index.mjs";
const p = { style: {
  width: "100%",
  display: "flex",
  alignItems: "center",
  justifyContent: "space-between"
} }, u = { style: {
  maxWidth: "100%",
  flex: 1
} }, _ = /* @__PURE__ */ l({
  name: "ApSkeletonListItem",
  __name: "item",
  props: {
    active: { type: Boolean }
  },
  setup(a) {
    return (f, x) => (o(), r(s, null, [
      e(t(m), {
        variant: "borderless",
        style: { borderRadius: 0 },
        "body-style": { padding: "18px 24px" }
      }, {
        default: c(() => [
          n("div", p, [
            n("div", u, [
              e(t(i), {
                active: a.active,
                title: {
                  width: "100px",
                  style: { marginBlockStart: 0, marginBlockEnd: "1em" }
                },
                paragraph: {
                  rows: 1,
                  style: {
                    margin: 0
                  }
                }
              }, null, 8, ["active"])
            ]),
            e(t(i).Button, {
              active: a.active,
              size: "small",
              style: { width: "165px", marginBlockStart: "12px" }
            }, null, 8, ["active"])
          ])
        ]),
        _: 1
      }),
      e(t(d))
    ], 64));
  }
});
export {
  _ as default
};
